Subject: bug#22692: docstring for xref-find-definitions

From: Mike Kupfer <[email-masked]>
Date: Sat, 20 Feb 2016 19:42:57 -0800

Dmitry Gutov wrote:

> On 02/19/2016 05:34 PM, Eli Zaretskii wrote:
> > If find-tag-default-function is also used by xref-find-references,
> > then it won't be TRT to reject constants up front.  A request to find
> > all the places where a certain constant is used is a valid use case.
> > It is indeed unlikely to have such a request for the constant 1, but
> > think about constants like 3.14159 or 3.0e+8.
> 
> That's a valid argument.

Agreed.

I suppose find-tag-default-function could be enhanced to take an
optional flag that says whether the request is for finding references or
for finding the definition.  Though I'm not sure the additional
complexity is worth it.  And it would certainly not be part of
addressing this bug.

mike